# $Revision: 1.17 $, $Date: 2004/08/18 20:21:35 $
Summary:	ncurses-based giFT client
Summary(pl):	Klient giFT
Name:		giFTcurs
Version:	0.5.7
Release:	3
License:	GPL
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/giftcurs/%{name}-%{version}.tar.gz
Patch0:		%{name}-home_etc.patch
# Source0-md5:	b9a30012f1083a99d5f34d384fa5ea0d
URL:		http://giftcurs.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ncurses client for giFT (OpenFT network).

%description -l pl
Klient giFT (sieci OpenFT), napisany w ncurses.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man[15]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: giFTcurs.spec,v $
Revision 1.17  2004/08/18 20:21:35  undefine
- release 3

Revision 1.16  2003/11/12 04:48:21  witekfl
- added home_etc.patch
- rel 2

Revision 1.15  2003/07/29 09:25:42  qboosh
- removed obsolete patches

Revision 1.14  2003/07/26 20:28:40  gotar
- upgraded to 0.5.7,
- commented out possibly outdated patches.

Revision 1.13  2003/07/26 20:26:39  gotar
- BR: gettext-devel,
- use gettextize.

Revision 1.12  2003/05/26 16:25:01  malekith
- massive attack: adding Source-md5

Revision 1.11  2003/05/25 05:47:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/02/25 12:13:30  qboosh
- working Source URL

Revision 1.9  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.8  2002/07/27 18:56:29  kloczek
- typo in %files.

Revision 1.7  2002/07/27 16:44:33  kloczek
- added acinclude.m4_fix and no_libns patches (remove private copy gettext.m4
  from acinclude.m4 and fix checking is linkinging with libnsl is neccessary),
- added full regenerate ac/am files,
- updated %files and added using %%find_lang macro,
- use new %doc and remove INSTALL and COPYING from %doc,
- added ncurses-devel amd gpm-devel to BuildRequires.

Revision 1.6  2002/07/27 00:17:28  fastviper
- updated to 0.4.3
- removed Require: giFT. giFTcurs does NOT require it.
- removed automake from BuildRequires and from %build (caused errors).
- changed Summary: and %description to apropriate one (giFT has nothing to do with FastTrack).
- TODO: something is wrong with language. When build from rpm, giFTcurs doesn't display messages in Polish.

Revision 1.5  2002/05/21 23:13:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/04/25 16:23:23  arturs
fixed a small typo

Revision 1.3  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.2  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.1  2002/02/06 18:07:27  klakier
- nice FT client

Revision 1.4  2002/01/18 02:13:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/06 15:45:26  misiek
- added url and regeneration of am/ac

Revision 1.2  2001/10/03 16:44:11  filon
- using %{name} macro in requires

Revision 1.1  2001/10/01 07:29:56  pascalek
- initial revision
